# GET /v2/videos/generations/{task_id}

**Method**: `GET`
**Endpoint**: `/v2/videos/generations/{task_id}`

Unified Interface Format
status enum:
NOT_START: Not started
IN_PROGRESS: Running
SUCCESS: Completed
FAILURE ： Failure

## Request Parameters

### Path Parameters

```text
task_id
string
Required
```

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

## Example Request

### Shell

```bash
curl --location --request GET '/v2/videos/generations/' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{
    "task_id": "e7bed961-d1b9-4b3f-8ef9-5f441bde28c8",
    "platform": "grok",
    "status": "SUCCESS",
    "fail_reason": "",
    "submit_time": 1756349509,
    "finish_time": 1756349945,
    "progress": "100%",
    "data": {
        "output": "https://soruxgpt-saas-yimeng.soruxgpt.com/file_download/d2360694-216c-4f8c-b076-3d94a2aa3dae"
    },
    "search_item": ""
}
```
